using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.Linq;

public class SafeZone : MonoBehaviour
{
    private GameObject player;
    private bool isSafe = false;

    [SerializeField] private RespawnManager _respawnManager;

    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.name == "Player")
        {
            isSafe = true;
            player = other.gameObject;
        }        
    }

    private void OnTriggerExit(Collider other)
    {
        if (other.gameObject.name == "Player")
        {
            isSafe = false;
        }
    }

    private void FixedUpdate()
    {
        if (isSafe)
        {
            SetRespawnPoint(player.transform.position);
        }
    }

    private void SetRespawnPoint(Vector3 _respawnPoint)
    {
        _respawnManager.setRespawnPoint(_respawnPoint);
    }
}
